import sys
import re

pattern = re.compile(
    r'^(([a-zA-Z]{1})|([a-zA-Z]{1}[a-zA-Z]{1})|'
    r'([a-zA-Z]{1}[0-9]{1})|([0-9]{1}[a-zA-Z]{1})|'
    r'([a-zA-Z0-9][-_.a-zA-Z0-9]{0,61}[a-zA-Z0-9]))\.'
    r'([a-zA-Z]{2,13}|[a-zA-Z0-9-]{2,30}.[a-zA-Z]{2,3})$'
)

def is_valid_domain(value):
    if value=='*':
        return True
    """ 
    Return whether or not given value is a valid domain.
    If the value is valid domain name this function returns ``True``, otherwise False
    :param value: domain string to validate
    """
    return True if pattern.match(value) else False

inputfile=open(sys.argv[1])
outputfile=open('/etc/pyDNSMASQ/config','a')
for line in inputfile:
    line=line.lstrip()
    if line[0]=='#':
        continue
    line=line.strip()
    if is_valid_domain(line):
        outputfile.write(line+' '+' '.join(sys.argv[2:])+'\n')
inputfile.close()
outputfile.close()
